Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# TQByteArray Class Reference

The TQByteArray class provides an array of bytes. More...

All the functions in this class are reentrant when TQt is built with thread support.

`#include <ntqcstring.h>`

Inherits TQMemArray<char>.

Inherited by TQBitArray and TQCString.

List of all member functions.

## Public Members

- TQByteArray ()
- TQByteArray ( int size )

## Related Functions

- TQByteArray tqCompress ( const TQByteArray & data )
- TQByteArray tqCompress ( const uchar * data, int nbytes )
- TQByteArray tqUncompress ( const TQByteArray & data )
- TQByteArray tqUncompress ( const uchar * data, int nbytes )

## Detailed Description

The TQByteArray class provides an array of bytes.

The TQByteArray class provides an explicitly shared array of bytes. It is useful for manipulating memory areas with custom data. TQByteArray is implemented as a TQMemArray<char>. See the TQMemArray documentation for further information.

See also Collection Classes and Non-GUI Classes.

## Member Function Documentation

### TQByteArray::TQByteArray ()

Constructs an empty TQByteArray.

### TQByteArray::TQByteArray ( int size )

Constructs a TQByteArray of size size.

## Related Functions

### TQByteArray tqCompress ( const TQByteArray & data )

Compresses the array data and returns the compressed byte array using zlib.

See also tqUncompress().

### TQByteArray tqCompress ( const uchar * data, int nbytes )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Compresses the array data which is nbytes long and returns the compressed byte array.

### TQByteArray tqUncompress ( const TQByteArray & data )

Uncompresses the array data and returns the uncompressed byte array.

Returns an empty TQByteArray if the input data was corrupt.

See also tqCompress().

### TQByteArray tqUncompress ( const uchar * data, int nbytes )

This is an overloaded member function, provided for convenience. It behaves essentially like the above function.

Uncompresses the array data which is nbytes long and returns the uncompressed byte array.

This file is part of the TQt toolkit. Copyright © 1995-2007 Trolltech. All Rights Reserved.